Subject: Re: Debugging information for DLL's
From: [email-masked] (Mumit Khan)

12 Jan 1999 00:33:40 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked] (Glenn Spell)
Cc: [email-masked]

Glenn Spell <[email-masked]> writes:
> 
> Doesn't buy you anything? What do you mean?
> 

I should've prefixed that with "In theory ..." ;-)

> Here's what I know:
>   b) I believe what you say.

Don't. Check it first.

>   c) I know for a fact that a 5,xxxKB cygwin1.dll runs a lot
>        slower on Windows 95 than a 47xKB one does.

On most systems, the debug info is not loaded by the loader, and you
basically spend no extra time (other than perhaps some paging penalty
due to a larger executable) when you have debug info; I can imagine
executables running a bit slower on Windows95 which has a lousy VM 
(virtual memory), but on NT, it should be barely noticable. 

> Therefore, I figure that I must misunderstand what you're saying.

It's more that theory and practice don't quite agree here than any
misunderstanding.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".